"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

function useUpdateEffect(callback, dependencies) {
  const firstRenderRef = (0, _react.useRef)(true);
  (0, _react.useEffect)(() => {
    if (firstRenderRef.current) {
      firstRenderRef.current = false;
      return;
    }

    return callback();
  }, dependencies);
}

var _default = useUpdateEffect;
exports.default = _default;